HTML.UnknownTag (Java Platform SE 8 )
Keywords: javax.swing.text.html.HTML.UnknownTag class
Date: 2016-12-09

javax.swing.text.html

## Class HTML.UnknownTag

- java.lang.Object
- - javax.swing.text.html.HTML.Tag
  - - javax.swing.text.html.HTML.UnknownTag

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    HTML

      public static class HTML.UnknownTag
      extends HTML.Tag
      implements Serializable

- - ### Field Summary

    - ### Fields inherited from class javax.swing.text.html.HTML.Tag

      `A, ADDRESS, APPLET, AREA, B, BASE, BASEFONT, BIG, BLOCKQUOTE, BODY, BR, CAPTION, CENTER, CITE, CODE, COMMENT, CONTENT, DD, DFN, DIR, DIV, DL, DT, EM, FONT, FORM, FRAME, FRAMESET, H1, H2, H3, H4, H5, H6, HEAD, HR, HTML, I, IMG, IMPLIED, INPUT, ISINDEX, KBD, LI, LINK, MAP, MENU, META, NOFRAMES, OBJECT, OL, OPTION, P, PARAM, PRE, S, SAMP, SCRIPT, SELECT, SMALL, SPAN, STRIKE, STRONG, STYLE, SUB, SUP, TABLE, TD, TEXTAREA, TH, TITLE, TR, TT, U, UL, VAR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownTag(String id)` Creates a new `UnknownTag` with the specified `id`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)` Compares this object to the specified object.
    `int` | `hashCode()` Returns the hash code which corresponds to the string for this tag.

    - ### Methods inherited from class javax.swing.text.html.HTML.Tag

      `breaksFlow, isBlock, isPreformatted, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnknownTag

          public UnknownTag(String id)

      Creates a new `UnknownTag` with the specified `id`.
      Parameters:
        `id` - the id of the new tag

  - ### Method Detail

    - #### hashCode

          public int hashCode()

      Returns the hash code which corresponds to the string for this tag.
      Overrides:
        `hashCode` in class `Object`
      Returns:
        a hash code value for this object.
      See Also:
        `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

    - #### equals

          public boolean equals(Object obj)

      Compares this object to the specified object. The result is `true` if and only if the argument is not `null` and is an `UnknownTag` object with the same name.
      Overrides:
        `equals` in class `Object`
      Parameters:
        `obj` - the object to compare this tag with
      Returns:
        `true` if the objects are equal; `false` otherwise
      See Also:
        `Object.hashCode()`, `HashMap`

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2016, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.